package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TemplateTableMapper;
import com.ruoyi.system.domain.TemplateTable;
import com.ruoyi.system.service.ITemplateTableService;

/**
 * 证书模板Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-12-07
 */
@Service
public class TemplateTableServiceImpl implements ITemplateTableService 
{
    @Autowired
    private TemplateTableMapper templateTableMapper;

    /**
     * 查询证书模板
     * 
     * @param id 证书模板主键
     * @return 证书模板
     */
    @Override
    public TemplateTable selectTemplateTableById(Long id)
    {
        return templateTableMapper.selectTemplateTableById(id);
    }

    /**
     * 查询证书模板列表
     * 
     * @param templateTable 证书模板
     * @return 证书模板
     */
    @Override
    public List<TemplateTable> selectTemplateTableList(TemplateTable templateTable)
    {
        return templateTableMapper.selectTemplateTableList(templateTable);
    }

    /**
     * 新增证书模板
     * 
     * @param templateTable 证书模板
     * @return 结果
     */
    @Override
    public int insertTemplateTable(TemplateTable templateTable)
    {
        return templateTableMapper.insertTemplateTable(templateTable);
    }

    /**
     * 修改证书模板
     * 
     * @param templateTable 证书模板
     * @return 结果
     */
    @Override
    public int updateTemplateTable(TemplateTable templateTable)
    {
        return templateTableMapper.updateTemplateTable(templateTable);
    }

    /**
     * 批量删除证书模板
     * 
     * @param ids 需要删除的证书模板主键
     * @return 结果
     */
    @Override
    public int deleteTemplateTableByIds(Long[] ids)
    {
        return templateTableMapper.deleteTemplateTableByIds(ids);
    }

    /**
     * 删除证书模板信息
     * 
     * @param id 证书模板主键
     * @return 结果
     */
    @Override
    public int deleteTemplateTableById(Long id)
    {
        return templateTableMapper.deleteTemplateTableById(id);
    }
}
